VideoHelp Forum

Our website is made possible by displaying online advertisements to our visitors. Consider supporting us by disable your adblocker or Try ConvertXtoDVD and convert all your movies to DVD. Free trial ! :)
+ Reply to Thread
Results 1 to 9 of 9
Thread
  1. Member
    Join Date
    Jul 2003
    Location
    United States
    Search Comp PM
    I know VCD creation is no longer the popular thing it used to be. However it still is useful for some purposes.

    I've been a licensed VCDEasy user for years and tried installing on the new Windows Vista Operating System. Since Windows no longer comes with the old version of Media Player, VCDEasy will not start properly.

    Even running on XP we must reregister the wmpdxm.dll following any VCDEasy use to reregister the proper WMP 9, 10, 11 codec. VCDEasy still uses the old Media Player.

    Isn't an update possible to change VCDEasy so it uses the normal Windows Media Player version? Either that or have it include the older Media Player files within its own Program folder to use only for itself, not interferring with normal Windows dll's?

    Otherwise, with the advent of the new operating system, VCDEasy will no longer be viable.

    VCDEasy is still the best way to create VideoCD's, what with all the options available when using it.

    Please let us know if a new version is being worked on that will enable compatibility with the new Microsoft OS, or even to work better with Windows XP as even there we need to "fix" things after VCDEasy is run.
    Quote Quote  
  2. Member
    Join Date
    Aug 2002
    Location
    South Florida
    Search Comp PM
    That won't be the only program that does not run properly on Vista. That's why I am sticking with XP. I'll bet there is no compatibility mode either on Vista.
    Quote Quote  
  3. Originally Posted by pepegot1
    I'll bet there is no compatibility mode either on Vista.
    Vista most certainly DOES have compatibility mode. Moreover, it's even quite smart. If you try to launch a legacy program and it fails, Vista will automatically try again in compatibility mode.

    To quote from http://www.microsoft.com/technet/windowsvista/appcompat/tools.mspx

    The Windows Vista Program Compatibility Assistant

    Automatically assists end users in setting an appropriate 'compatibility mode' for applications designed for previous versions of Windows. As Windows Vista detects applications that need to run in a compatibility mode for Windows XP, application programs are automatically updated and will run on Windows Vista without further user intervention.
    John Miller
    enosoft - high performance tools for music and video

    Home of the Enosoft DV Processor - Free for personal use!
    Quote Quote  
  4. Member
    Join Date
    Jul 2003
    Location
    United States
    Search Comp PM
    I've been running Vista through the most recent builds since the first Beta 2 Customer Preview. The compatibility with most of my hardware and software has been quite good, especially recently as some software makers (for example, Nero) have updated their software to work with Vista.

    The problem here is really similar to the one on 9x or XP. VCDEasy is using the older Media Player interface and also is registering the old dll's. This forces the user to run Regsvr32 wmpdxm.dll after every use of VCDEasy.

    Surely the program needs to be updated to either use the newer WMP interface or install the needed files to its own folder so it doesn't interfere with normal Windows operation.

    Doing one of those would enable Vista compatibility if the only problem is the absense of the older Media Player on Vista. UAC might cause other problems but running some older software as an administrator will often solve file access permission issues.

    I don't know if an update is on the horizon but I'd sure like to continue using VCDEasy. And it would be nice to be rid of the need to reregister the dll's constantly after VCDEasy use, no matter the operating system.

    If Nero can get its huge program to run properly on Vista, surely it is possible with something like VCDEasy? (I put a question mark because, heh, there's no way I can know as I'm no software designer.)

    Love the program. I just hope work hasn't ended and that it will be updated.
    Quote Quote  
  5. Member
    Join Date
    Nov 2008
    Location
    Germany
    Search Comp PM
    Hey dahveed3! (If you see this.... after 2 Years!)

    I run into the very SAME SAD Problem yesterday: VCDEasy don`t works... asks for the WMP!!!!!
    Seeing now that this Prob exists since YEARS, i wonder why the developers don`t reacted.
    I`m really disappointed.

    Greetz, Revanito
    Quote Quote  
  6. Banned
    Join Date
    Oct 2004
    Location
    Freedonia
    Search Comp PM
    This is one of the very few times when I think it was actually worthwhile to add to an old thread that was 2 years old. However, Ravanito, I would suggest that you NOT make a habit of this as that is rarely a good idea and we generally don't like it when people add to old threads that haven't had a new post in years.

    I suggest that you send email to
    support@<a class="contentlink" href="https://www.videohelp.com/tools/VCDEasy" target="_...cdeasy</a>.org
    and ask for help, but I am assuming that you bought the program. If you didn't buy it, you may not get much help. There's not a lot of demand for making VCDs these days. I bought a copy of VCDEasy several years ago and I use it maybe 2 or 3 times a year. However, a lot of people complain about having to pay for it although it is very cheap, so the author had to make a free version available for those people. The free version is based on old code and it is quite a bit behind the version you get when you buy it. If you are using the free version, maybe your problem is only in the free version. I don't have Vista, so I have no way to test VCDEasy under Vista.
    Quote Quote  
  7. Member
    Join Date
    Jul 2003
    Location
    United States
    Search Comp PM
    Wow, was I surprised to see the message about this in my email box after all this time!

    It was the full, purchased, latest version that I noticed this problem on. I actually haven't made a VCD in years either, but if I had the inclination to, and wanted to do so using Windows Vista, it would be nice to have VCDEasy updated to get along without the need for the old media player installed. A Vista update for this program wouldn't hurt, but not if it's too much of a bother.

    See, VCD creation isn't the biggest thing anymore. So I can understand where the work involved might not jive with the limited potential there is for new customers to make a purchase of VCDEasy.
    Quote Quote  
  8. Member Verify's Avatar
    Join Date
    Oct 2008
    Location
    United States
    Search Comp PM
    You could use Microsoft Virtual PC 2007 to install XP on a VM and then install VCDEasy on it. Assumes that you have XP and surplus hard drive space (and that it's worth the effort).
    Andrew Jackson: "It's a poor mind that can only think of one way to spell a word."
    Quote Quote  
  9. Member
    Join Date
    Jul 2003
    Location
    United States
    Search Comp PM
    Good thought there. Actually, Vista sits on a DVD while I run Debian Lenny (Linux) as my main OS, with 98SE dual-booting, XP Pro SP3 in VirtualBox and 98SE again in VMWare (both on Debian). Vista is not here simply because it doesn't run my computer that well (annoyances with hard drive access because of its indexing for search and SystemRestore Restore Previous Versions feature). So it isn't really a need for me presently that I speak.

    I'm just thinking that if the developers still want this product, VCDEasy, to sell at all then they might as well make it hook into what the latest Windows version supplies for media, the Windows Media Player 11 stuff, rather than the old media player 6.4 stuff that isn't supplied anymore on Vista.

    There are other ways to make VCD of course. This program is more feature filled though. It really was the best, with its chapter points importing, etc, etc.

    It just appears that the makers don't have an interest in adapting it for Windows Vista. I suppose the poster who revived the thread was looking for anyone who found a work-around for this mediaplayer 6.4 requirement. Back when I was fooling around with it I tried installing MediaPlayerClassic in the place where WMP 6.4 used to be but that didn't get VCDEasy to run either.

    Even on XP one needed to re-register the modern WMP codec after each use of VCDEasy, which I thought was a silly process to need to go through. I considered that a defect in the program's design that it hadn't progressed past using the older codecs and just running VCDEasy made that hidden system registry change that substituted the older codec and needed user intervention to get things back to normal afterwards.
    Quote Quote  



Similar Threads